import matplotlib.pyplot as plt
import matplotlib.patches as patches

# Create figure and axis
fig, ax = plt.subplots(figsize=(12, 8))

# Define the boxes
elements = {
    "start": {"text": "Pornirea jocului", "pos": (0.5, 0.9)},
    "joystick": {"text": "Folosește joystick-ul\n- Mișcare cursor\n- Selectare literă", "pos": (0.5, 0.75)},
    "ok_button_start": {"text": "Buton OK\n- Trimite numele", "pos": (0.25, 0.6)},
    "x_button_start": {"text": "Buton X\n- Șterge literă", "pos": (0.75, 0.6)},
    "gameplay": {"text": "Jocul propriu-zis", "pos": (0.5, 0.45)},
    "directional_buttons": {"text": "4 Butoane direcționale\n- Sus, Jos, Stânga, Dreapta", "pos": (0.25, 0.3)},
    "ok_button_gameplay": {"text": "Buton OK\n- Descoperă o celulă", "pos": (0.5, 0.3)},
    "x_button_gameplay": {"text": "Buton X\n- Pune un flag", "pos": (0.75, 0.3)},
    "game_over": {"text": "Game Over", "pos": (0.25, 0.1)},
    "you_win": {"text": "You Win", "pos": (0.75, 0.1)}
}

# Add boxes
for key, value in elements.items():
    ax.text(value["pos"][0], value["pos"][1], value["text"], ha='center', va='center',
            bbox=dict(boxstyle="round,pad=0.3", edgecolor="black", facecolor="lightblue"),
            fontsize=12)

# Set limits and remove axes
ax.set_xlim(0, 1)
ax.set_ylim(0, 1)
ax.axis('off')

# Show plot
plt.show()
